## sameboy 1.0.2

=== debian/changelog ===
sameboy (1.0.2-1) trixie; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 11 Aug 2025 12:32:35 +0200
