=== debian/control ===
Source: sameboy
Section: games
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), pkgconf, rgbds, libsdl2-dev, libgdk-pixbuf-2.0-dev
Standards-Version: 4.7.2

Package: sameboy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Game Boy and Game Boy Color emulator
 SameBoy is extremely accurate and includes a wide range of powerful
 debugging features, making it ideal for both casual players and developers.
 .
 In addition to accuracy and developer capabilities, SameBoy has all
 the features one would expect from an emulator,
 from save states to scaling filters.

Package: libretro-sameboy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libretro wrapper for SameBoy
 SameBoy is extremely accurate and includes a wide range of powerful
 debugging features, making it ideal for both casual players and developers.
 .
 In addition to accuracy and developer capabilities, SameBoy has all
 the features one would expect from an emulator,
 from save states to scaling filters.
 .
 This package contains a wrapper allowing the SameBoy engine to be
 used with libretro frontends such as RetroArch.

Package: kodi-game-libretro-sameboy
Architecture: any
Multi-Arch: same
Depends: kodi-game-libretro, libretro-sameboy, ${misc:Depends}
Enhances: kodi
Description: Kodi integration for SameBoy
 Nintendo - Game Boy / Color (SameBoy) core for kodi's retroplayer
