=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	CC=gcc dh_auto_build -- PREFIX=/usr DATA_DIR=/usr/share/sameboy/
	ln -s ../build/bin/BootROMs BootROMs/prebuilt
	CC=gcc dh_auto_build -- libretro

override_dh_auto_install:
	dh_auto_install -- FREEDESKTOP=true PREFIX=/usr
	mv debian/tmp/usr/bin debian/tmp/usr/games
	rm -rf debian/tmp/usr/share/mime
