=== debian/watch ===
version=4
opts="pgpmode=none"
https://github.com/LIJI32/SameBoy/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
