## sameboy 1.0.2+ds

=== debian/changelog ===
sameboy (1.0.2+ds-2) unstable; urgency=medium

  * add patch to remove warning with recent rgbds versions
  * try to fix build on hurd
  * d/control:
    + update Vcs-* fields
    + bump S-V to 4.7.3
    + rewrite long description (Closes: #1128191)

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 19 Feb 2026 09:21:28 +0100

sameboy (1.0.2+ds-1) unstable; urgency=low

  * Initial release. (Closes: #1117933)

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 12 Oct 2025 17:19:33 +0200
