=== debian/control ===
Source: sameboy
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), pkgconf, rgbds, libopenal-dev, libsdl2-dev, libgdk-pixbuf-2.0-dev
Standards-Version: 4.7.3
Homepage: https://sameboy.github.io/
Vcs-Browser: https://salsa.debian.org/games-team/sameboy
Vcs-Git: https://salsa.debian.org/games-team/sameboy.git

Package: sameboy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Game Boy, Game Boy Color and Super Game Boy emulator
 SameBoy is an extremely accurate Game Boy, Game Boy Color and Super Game Boy
 emulator and it includes a wide range of powerful debugging features,
 making it ideal for both casual players and developers.
 .
 In addition to accuracy and developer capabilities, SameBoy has all
 the features one would expect from an emulator,
 from save states to scaling filters.

Package: libretro-sameboy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libretro wrapper for SameBoy
 SameBoy is an extremely accurate Game Boy, Game Boy Color and Super Game Boy
 emulator and it includes a wide range of powerful debugging features,
 making it ideal for both casual players and developers.
 .
 In addition to accuracy and developer capabilities, SameBoy has all
 the features one would expect from an emulator,
 from save states to scaling filters.
 .
 This package contains a wrapper allowing the SameBoy engine to be
 used with libretro frontends such as RetroArch.

Package: kodi-game-libretro-sameboy
Architecture: any
Multi-Arch: same
Depends: kodi-game-libretro, libretro-sameboy, ${misc:Depends}
Enhances: kodi
Description: Kodi integration for SameBoy core
 This package contains the appropriate Kodi configuration to allow the use of
 the SameBoy libretro core with Kodi via kodi-game-libretro.
