=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr DATA_DIR=/usr/share/sameboy/
	DEBCFLAGS="${CPPFLAGS} ${CFLAGS}" dh_auto_build -- libretro
	sed 's|@PLATFORM@|linux|g;s|@LIBRARY_FILENAME@|sameboy_libretro.so|g' \
	kodi-game/game.libretro.sameboy/addon.xml.in > kodi-game/game.libretro.sameboy/addon.xml

override_dh_auto_install:
	dh_auto_install -- FREEDESKTOP=true PREFIX=/usr
	rm debian/tmp/usr/share/sameboy/LICENSE
	rmdir debian/tmp/usr/share/sameboy/BootROMs
