=== debian/watch ===
Version: 5

Template: Github
Owner: LIJI32
Project: SameBoy
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
# do not match on "libretro" tags
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v?([0-9\.]*)

Component: kodi-game
Mode: git
Source: https://github.com/kodi-game/game.libretro.sameboy.git
Matching-Pattern: HEAD
Compression: xz
Git-Pretty: %cd
